/*****************************************************************************/
/*                                                                           */
/*                           OCO SOURCE MATERIALS                            */
/*                             IBM CONFIDENTIAL                              */
/*                                    OR                                     */
/*                        IBM CONFIDENTIAL RESTRICTED                        */
/*            WHEN COMBINED WITH THE AGGREGATED OCO SOURCE MODULES           */
/*                           FOR THIS PROGRAM PRODUCT                        */
/*                                                                           */
/*   VisualAge Generator Server for OS/2, AIX, HP-UX, SUN, and Windows NT    */
/*                          Version 4.0  5697-C28                            */
/*                    (C) COPYRIGHT IBM CORP. 1994,1998                      */
/*                                                                           */
/*****************************************************************************/
/*****************************************************************************/
/* File Name: csogws.h                                                       */
/*****************************************************************************/
/*                                                                           */
/* Change History                                                            */
/*                                                                           */
/*  ID  Date     Defect Userid   Description                                 */
/*                                                                           */
/*      05/21/99         LisaR   Initial Creation                            */
/* @A1  07/01/99 f11319  Lisar   Add userKey field per DW                    */
/*****************************************************************************/

  /* Values for GwsDataFlag */
#define DATA_IN_MSG x00
#define DATA_IN_TCP x01

  /* Values for GwsBypassEdit */
#define GWS_NO_BYPASS   x00
#define GWS_BYPASS_KEY  x01

struct CSOGWS
 {

   unsigned long GwsHdrLength;          /* CSOGWS control block length.                Offset x00*/

   char          GwsEyeCatcher[8];      /* CSOGWS eyecatcher & version                 Offset x04*/

   unsigned long GwsDataLength;         /* Length of data area                         Offset x0C*/

   unsigned long GwsCommBuffLeng;       /* Maximum buffer size for return of data      Offset x10*/

   char          GwsSSMByte;            /* Segmentation Status Flag                    Offset x14*/

   char          GwsDataFlag;           /* Data Indicator Flag                         Offset x15*/

   char          GwsSessionId[8];       /* Session ID                                  Offset x16*/

   char          GwsTransName[8];       /* Transaction Name                            Offset x1E*/

   char          GwsProgName[8];        /* Program Name                                Offset x26*/

   char          GwsBeanName[18];       /* Bean Name                                   Offset x2E*/

   long          GwsHashCode;           /* Bean Hash Code                              Offset x40*/

   unsigned
     short       GwsTcpPart1;           /* Part 1 of dotted decimal addr of G/W        Offset x44*/
   unsigned
     short       GwsTcpPart2;           /* Part 2 of dotted decimal addr of G/W        Offset x46*/
   unsigned
     short       GwsTcpPart3;           /* Part 3 of dotted decimal addr of G/W        Offset x48*/
   unsigned
     short       GwsTcpPart4;           /* Part 4 of dotted decimal addr of G/W        Offset x4A*/
   unsigned
     short       GwsTcpPort;            /* Port Number for Gateway                     Offset x4C*/


   char          GwsSecurityKey[4];    /* Security key for TCPIP transfer              Offset x4E*/

   char          GwsEzeaidCode;        /* EZEAID value                                 Offset x52*/

   char          GwsBypassEdit;        /* Bypass Edit value                            Offset x53*/

   char          GwsUserKey[8];        /* User key                                     Offset x54*/


   char          GwsFiller[36];        /* Filler                                       Offset x5C*/


   /* ------------------------- Total Length 128 (x80) bytes ------------------------------------*/

  } ;



