package com.ibm.hpt.gateway;

/**
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2001 - All Rights Reserved 
 * 
 * DISCLAIMER: 
 * The following [enclosed] code is sample code created by IBM 
 * Corporation.  This sample code is not part of any standard IBM product 
 * and is provided to you solely for the purpose of assisting you in the 
 * development of your applications.  The code is provided 'AS IS', 
 * without warranty or condition of any kind.  IBM shall not be liable for any damages 
 * arising out of your use of the sample code, even if IBM has been 
 * advised of the possibility of such damages.
**/

/**
 * Class Description:
 * This interface contains developer/customer implemantable constants and methods.
 * Creation date: (5/21/01 1:08:46 PM)
 **/
 
import com.ibm.vgj.cso.*;


public interface LogonChecker 
{
	/**
	 * Copyright information.
	 */
	public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2001";
	
	public static final String 	EXPIRED_GTWPASSWORD		= "8000E";
	public static final String 	INVALID_GTWPASSWORD		= "8001E";
	public static final String 	INVALID_GTWUSERID			= "8002E";
	public static final String  	NULL_ENTRY				= "8003E";
	public static final String  	UNKNOWN_SECURITY_ERROR		= "8004E";
	public static final String	CHANGE_PASSWORD_ERROR		= "8005E";	

/**
 * Creation date: (5/21/01 1:14:46 PM)
 * @param userid java.lang.String
 * @param password java.lang.String
 * @param newpassword java.lang.String
 * @exception com.ibm.vgj.cso.CSOException The exception description.
 */
void changePassword(String userid, String password, String newpassword) throws com.ibm.vgj.cso.CSOException;
/**
 * Creation date: (5/21/01 1:14:24 PM)
 * @return boolean
 * @param userid java.lang.String
 * @param password java.lang.String
 * @exception com.ibm.vgj.cso.CSOException The exception description.
 */
boolean isUserValid(String userid, String password) throws com.ibm.vgj.cso.CSOException;
}
